Request Venue Proposal
curl --request POST \
--url https://nowadays.ai/api/northstar/venues/request-proposal \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event_id": 123,
"venue_name": "<string>",
"venue_city": "<string>",
"ntm_id": "<string>"
}
'import requests
url = "https://nowadays.ai/api/northstar/venues/request-proposal"
payload = {
"event_id": 123,
"venue_name": "<string>",
"venue_city": "<string>",
"ntm_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event_id: 123,
venue_name: '<string>',
venue_city: '<string>',
ntm_id: '<string>'
})
};
fetch('https://nowadays.ai/api/northstar/venues/request-proposal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"venue_id": "<string>"
}Venues
Request Venue Proposal
Request a proposal from a specific venue
POST
/
venues
/
request-proposal
Request Venue Proposal
Request a proposal from a specific venue for your event. You can identify the venue using the venue name and city.
number
required
The ID of your event
string
The Northstar Hotel ID
string
required
Name of the venue
string
required
City where the venue is located
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
Proposal request successful
⌘I